Core - Task # 39347

Status: Resolved Priority: Should have
Author: Mario Rimann Category:

Created: 2012-07-28 Assigned To: Mario Rimann
Updated: 2015-06-15 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Sprint Focus:

Subject: Remove page hit statistics

Description

For TYPOS 6.0, the included logging of each single page request should be removed in favor of using the well known tools like Google
Analytics or Piwik.

Related issues:

related to Core - Bug # 22529: stat_apache always logs HTTP status 200 Rejected 2010-04-27
related to Core - Task # 56849: Remove deprecated functions from TypoScriptFr... Resolved 2014-03-12
related to Core - Bug # 52786: Remove TYPO3_CONF_VARS|['FE]['logfile_dir"] Resolved 2013-10-14
precedes TypoScript Reference (TSref) - Task # 39468: Mark all config.stat* o... Closed 2012-08-02

Associated revisions

Revision 3136ffa9 - 2012-08-04 08:25 - Mario Rimann

[M][-FEATURE] Remove page hit statistics

The feature of logging each page request either to a database
table or to an "apache-style"-logdfile is rarely used these days
and the functionality can be replaced by the well-known tools
that act on client side (e.g. Google Analytics or Piwik).

Change-Id: [dd69bb485a968ba136b456577a3a5a086dbd3dfa
Resolves: #39347
Releases: 6.0

Reviewed-on: http://review.typo3.org/13229

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Philipp Gampe
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

Revision 748b41b0 - 2012-08-08 16:07 - Mario Rimann

[M][-FEATURE] Remove page hit statistics

The feature of logging each page request either to a database

table or to an "apache-style"-logdfile is rarely used these days

and the functionality can be replaced by the well-known tools

that act on client side (e.g. Google Analytics or Piwik).
http://review.typo3.org/13229

Change-Id: [dd69bb485a968ba136b456577a3a5a086dbd3dfa
Resolves: #39347

Releases: 6.0

Reviewed-on: http://review.typo3.org/13229

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Philipp Gampe
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

Revision 29edb405 - 2012-08-12 14:03 - Mario Rimann

["[-FEATURE] Remove page hit statistics

The feature of logging each page request either to a database
table or to an "apache-style"-logdfile is rarely used these days
and the functionality can be replaced by the well-known tools

that act on client side (e.g. Google Analytics or Piwik).

Change-Id: 1dd69bb485a968ba136b456577a3a5a086dbd3dfa
Resolves: #39347

Releases: 6.0

Reviewed-on: http://review.typo3.org/13229

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Philipp Gampe
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History

#1 - 2012-07-28 17:38 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/13229

#2 - 2012-07-28 17:59 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13229

#3 - 2012-07-29 19:58 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13229

#4 - 2012-07-29 20:27 - Gerrit Code Review
Patch set 4 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/13229

#5 - 2012-08-02 13:52 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/13229

#6 - 2012-08-02 13:56 - Christian Kuhn

created documentation issue #39468

#7 - 2012-08-02 19:41 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/13229

#8 - 2012-08-04 08:30 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3136ffa942b6b4b6e2a4624722889¢3fc9107991.

#9 - 2013-04-22 20:38 - Bernhard Eckl

So it is not possible to use statistic extension like ics_awstats anymore :-(

| think many people use this!

#10 - 2013-04-22 20:40 - Bernhard Eckl

In 4.7 config.stat_IP_anonymize and so on was added an in 6.0 everything removed?

#11 - 2013-04-23 15:29 - Chris topher

Bernhard Eckl wrote:

| think many people use this!

used this. ;-)

#12 - 2013-10-14 11:42 - Clemens Riccabona

Painful. Just painful.
| wonder sometimes, who makes decisions of such momentousness.

Ok, i read the core mailinglist, but not extra-carefully. Maybe | should change this behaviour. | did not recognize that there was made such a decision.
This now just means: now | have to configure statfile-writing via the webservers (apache in my case) vhost-files for each domain, configured in
TYPOS, just to get awstats (e.g. ics_awstats) running.

before i could do it within TYPOS, where the statistics is presented to the author anyway.

Painful, really painful.

#13 - 2013-10-14 12:50 - Christian Kuhn

Extension like awstats could adapt and use some hook in the frontend to implement the logging on their own.

#14 - 2013-10-14 13:06 - Clemens Riccabona
Christian Kuhn wrote:
Extension like awstats could adapt and use some hook in the frontend to implement the logging on their own.
does it make sense, that functionality, which worked (at least for me) now about 10 (TEN) years, to remove from core and say: oh, if you want, you
may hook.
nice to know that there is a hooking possibility for writing logfiles anyway.
but to me it does not make any sense.
was the code for writing logfiles in apache logformat so painful for the core developers, that it made sense for them to remove?
as i already stated, i did not recognize any discussion about that issue, i just stumbled upon luckily, today.
Therefore i am really interested in knowing why it is how it is now.
#15 - 2013-10-14 20:54 - Christian Kuhn
Yes, the code was so ugly, spaghetti, old, unmaintained, evil and cluttered that it actively denied refactoring of more important stuff.
Sometimes it is better to hand over some stuff to a dedicated extension that can handle this better and without a dependency to core code. We decided
to do so in this very special case.
#16 - 2013-10-15 11:45 - Clemens Riccabona
Thanks Christian, for clarification of why this decision was made.
| am also interested in how | could prevent missing such important, feature-breaking decisions for the future, as | already told you, | stumbled upon this
issue more or less by accident. (and i had great luck sticking strictly to LTS versions in the production. | don't want to think about what would had
happened if | updated all my TYPOS installations without knowing this fact!)
So my next feature-wish (as a paying assoc. member) is: please make a system extension which re-enables writing log-files in well documented and
wide spread apache-log-format. ;) ;)

Maybe we could find some sponsors?

(yeah, i know, the official name of the log format is "NCSA Common log format", but most people | think know it by its "nickname").

#17 - 2013-10-16 08:40 - Mario Rimann
Hi Clemens

| agree that the removal of this old feature could be troublesome for a small percentage of users of TYPO3. When we discussed this issue, many votes
were towards removing it, as most of the participants of that discussion mentioned that they anyway use a specialized tool like e.g. Piwik or Google
Analytics (which provides way more information for the marketing team rather than pure hit counting that TYPO3 could log). So it seemed like the
better way to remove it entirely - instead of carrying along old and hard-to-maintain code any further. And the 6.0 Release seemed to be the perfect

moment for it - being a version that was clearly mentioned to contain breaking changes.

Regarding how to keep up to date, | agree that's not that easy - because there are just many changes between two versions - which is basically a

good sign that there's something evolving.

If you look at the commit message of this change, you can clearly see it's marked with a bunch of exclamation marks and the "tag" "-FEATURE" -
which should read: "Attention, breaking change of type feature removal". (https://review.typo3.org/#/c/13229/6//COMMIT_MSG)

| suggest you have a look at the change log which is part of each version's release notes. You don't need to read through all lines, but rather scan for
lines with a "[!!l]" prefix - usually those are the things which will "break" something - or modify stuff in a way that needs you to adapt your previous
work. Let's have a look at the Release Notes of 6.0.0 at http://wiki.typo3.org/TYPO3 6.0

This issue here was about removing the feature. If you'd like to get the feature back, please create a new issue and mention this one - and start a

discussion on the dev- or core-mailinglist. This issue here is IMHO the wrong place for this discussion.

Best wishes,

Mario

#18 - 2013-12-23 15:41 - Dan Untenzu

Clemens Riccabona wrote:

please make a system extension which re-enables writing log-files in well documented and wide spread apache-log-format

Hey Clemens, as Christian wrote, this should be part of a regular extension (and no system extension, since this is the same as having the code in the

core again). Please create s Github Repository for such an extension and share it with others (maybe on a Forge Project?). Something like

»awstats_logging« or »apache-style-logging«.

When this feature was removed | ported the removed logging code from the core into a hook of some AWStats extension, because | had to upgrade a

project and support AWStats at this point of time. You can see the code here: https://bitbucket.org/pixelbrackets/typo3-xf awstats/branch/writeLogfile

As proposed, this logging feature should be a single extension, without the AWStats analysis. | just dont want to maintain such an extension, thats why

I did not put any effort in releasing it in a single extension.

As Mario states, further discussion should be made in a feature ticket.

#19 - 2015-06-15 19:20 - Loek Hilgersom

Just a note for anyone who still wants to use this feature, knowing that it comes with a performance penalty:

| created a little extension which copies the exact functionality for writing the Apache-style log files as used to be part of the core until v4.7.

The only issue to take care of is to add the [FE][logfile_dir] setting in AdditionalConfiguration.php instead of LocalConfiguration because the Install tool

will remove it otherwise.

http://typo3.org/extensions/repository/view/retrostats

2015-08-04 5/6


https://review.typo3.org/#/c/13229/6//COMMIT_MSG
http://wiki.typo3.org/TYPO3_6.0
https://bitbucket.org/pixelbrackets/typo3-xf_awstats/branch/writeLogfile
http://typo3.org/extensions/repository/view/retrostats

Now the feature is no longer lost, it has only become optional, all for the better :-)
